"use strict";
// Copied from https://github.com/cucumber/language-service/blob/main/src/gherkin/parseGherkinDocument.ts
Object.defineProperty(exports, "__esModule", { value: true });
exports.parseGherkinDocument = void 0;
const gherkin_1 = require("@cucumber/gherkin");
const messages_1 = require("@cucumber/messages");
const uuidFn = messages_1.IdGenerator.uuid();
/**
 * Incrementally parses a Gherkin Document, allowing some syntax errors to occur.
 */
function parseGherkinDocument(gherkinSource) {
    const builder = new gherkin_1.AstBuilder(uuidFn);
    const matcher = new gherkin_1.GherkinClassicTokenMatcher();
    const parser = new gherkin_1.Parser(builder, matcher);
    try {
        return {
            gherkinDocument: parser.parse(gherkinSource),
        };
    }
    catch (error) {
        let gherkinDocument;
        for (let i = 0; i < 10; i++) {
            gherkinDocument = builder.getResult();
            if (gherkinDocument) {
                return {
                    gherkinDocument,
                    error: error,
                };
            }
            try {
                builder.endRule();
            }
            catch (ignore) {
                // no-op
            }
        }
        return {
            error: error,
        };
    }
}
exports.parseGherkinDocument = parseGherkinDocument;
//# sourceMappingURL=parseGherkinDocument.js.map