"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const assert_1 = __importDefault(require("assert"));
const convertToRerun_js_1 = require("../src/convertToRerun.js");
describe('convertToReRun', () => {
    it('convert a TCP response to rerun paths', () => {
        const tcpResponse = {
            organization: {
                tests: {
                    nodes: [
                        {
                            path: 'features/foo.feature/foo3',
                            failureFrequency: 0.9,
                        },
                        {
                            path: 'features/foo.feature/foo1',
                            failureFrequency: 0.8,
                        },
                        {
                            path: 'features/bar.feature/bar1',
                            failureFrequency: 0.7,
                        },
                        {
                            path: 'features/foo.feature/foo2',
                            failureFrequency: 0.6,
                        },
                    ],
                },
            },
        };
        const foo = `Feature: foo
Scenario: foo1
Scenario: foo2
Scenario: foo3
`;
        const bar = `Feature: bar
Scenario: bar1
`;
        const rerun = (0, convertToRerun_js_1.convertToRerun)(tcpResponse, [foo, bar]);
        const expected = [
            'features/foo.feature:4',
            'features/foo.feature:2',
            'features/bar.feature:2',
            'features/foo.feature:3',
        ];
        assert_1.default.deepStrictEqual(rerun, expected);
    });
});
//# sourceMappingURL=convertToRerun.test.js.map